import Testing

@testable import ColibriLibrary

struct FileServiceTests {

    // MARK: Properties tests

    @Test("Test the file service provides a current folder URL")
    func currentFolder() async {
        // GIVEN
        let service = FileService()

        // WHEN
        let url = await service.currentFolder

        // THEN
        #expect(url.path() == "/private/tmp")
        #expect(url.isFileURL == true)
    }

}
